<div [ngClass]="singleDetail ? 'single-detail-container' : 'item_container'">
  <img src="{{'../../assets/Images/' + item.image}}" alt="img">

  <div class="info_container">

    <div class="info_container_box">
      <h1>{{item.name}}</h1>
      <span *ngFor="let filters of item.filter">{{filters}}</span>
    </div>

    <div *ngIf="singleDetail" class="tag_container">

      <span>Select tag</span>

      <div class="tag_container_box">
        <div *ngFor="let filter of itemData.filters, let i = index"
             (click)="itemData.addFilterItem(item.id, filter.name, i)" [ngClass]="{'active': itemData.selectedItem.includes(i)}">
          <span>{{filter.name}}</span>
        </div>
      </div>

      <button (click)="itemData.confirmFilterItem(item.id)">Confirm</button>
      <span (click)="itemData.removeFiltersItem()" class="remove-filters">Remove Selected Filters</span>

    </div>
  </div>
</div>

